javax.swing.plaf.metal

## Class MetalComboBoxEditor

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboBoxEditor
  - - javax.swing.plaf.metal.MetalComboBoxEditor

- All Implemented Interfaces:
    FocusListener, EventListener, ComboBoxEditor
  Direct Known Subclasses:
    MetalComboBoxEditor.UIResource

      public class MetalComboBoxEditor
      extends BasicComboBoxEditor

  The default editor for Metal editable combo boxes

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MetalComboBoxEditor.UIResource` | A subclass of BasicComboBoxEditor that implements UIResource.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static Insets` | `editorBorderInsets` | The default editor border `Insets`.

    - ### Fields inherited from class javax.swing.plaf.basic.BasicComboBoxEditor

      `editor`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MetalComboBoxEditor()` |

  - ### Method Summary

    - ### Methods inherited from class javax.swing.plaf.basic.BasicComboBoxEditor

      `addActionListener, createEditorComponent, focusGained, focusLost, getEditorComponent, getItem, removeActionListener, selectAll, setItem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### editorBorderInsets

          protected static Insets editorBorderInsets

      The default editor border `Insets`. This field might not be used.

  - ### Constructor Detail

    - #### MetalComboBoxEditor

          public MetalComboBoxEditor()

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.